All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::mapped_object::MorphBase1D Struct Referenceabstract

`#include <mapped_objects.hpp>`

Inheritance diagram for viennacl::device_specific::mapped_object::MorphBase1D:

## Public Member Functions

virtual std::string | operator() (std::string const &i) const =0
Public Member Functions inherited from viennacl::device_specific::mapped_object::MorphBase
virtual | ~MorphBase ()

## Detailed Description

Definition at line 50 of file mapped_objects.hpp.

## Member Function Documentation

virtual std::string viennacl::device_specific::mapped_object::MorphBase1D::operator() | ( | std::string const & | i | ) | const

pure virtual

The documentation for this struct was generated from the following file:

- viennacl/device_specific/mapped_objects.hpp